﻿/**************
  
  Font Family adding
    
************/
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700&display=swap');

body {
    font-family: 'Poppins', sans-serif;
}


/**************

    Sidebar Styles 

**************/
.home-link {
    align-items: center;
    display: flex;
    border-left: 1px solid #fff;
    padding-top: 0;
    padding-bottom: 0;
}

.wrapper {
    background: #f8f8f8;
}

#sidebar, #sidebar .sidebar-header {
    background: #7481b5 !important;
}

    #sidebar.active {
        margin-left: -16% !important;
    }

#sidebar {
    width: 16% !important;
    font-family: 'Poppins', sans-serif;
    border-radius: 10px 10px 0 0;
}

    #sidebar ul {
        padding-left: 10px !important;
    }

        #sidebar ul li.active > a {
            background: #f8f8f8 !important;
            color: #000 !important;
            font-family: 'Poppins', sans-serif;
            border-radius: 30px 0 0 30px;
            padding-left: 20px !important;
            margin-bottom: 8px;
        }

        #sidebar ul li > a:hover {
            background: #f8f8f8 !important;
            color: #000 !important;
            font-family: 'Poppins', sans-serif;
            border-radius: 30px 0 0 30px;
            padding-left: 20px !important;
        }

        #sidebar ul li.active ul#homeSubmenu li.active a {
            background: transparent !important;
            color: #000 !important;
            font-family: 'Poppins', sans-serif;
            border-radius: 30px 0 0 30px;
            padding-left: 20px !important;
            margin-bottom: 8px;
        }

    #sidebar.active ~ #content {
        width: 100%;
        padding: 0px 16px !important;
    }

    #sidebar ~ #content {
        width: 84%;
        padding: 0px 16px !important;
    }

#content .navbar.sticky-top {
    background: #7481b5;
    padding: 8px 0px;
    border-radius: 0 0 7px 7px;
}

#sidebarCollapse {
    width: 30px;
    height: 30px;
    background: transparent;
    cursor: pointer;
    color: #fff;
}

    #sidebarCollapse span {
        background: #fff !important;
    }

/************
Employee-details    
************/
.employee-details {
    background: #fff !important;
    border-radius: 10px;
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.2);
}

    .employee-details #example_length, .employee-details #example_filter {
        padding: 16px;
    }

        .employee-details #example_filter label {
            margin-bottom: 0 !important;
        }

        .employee-details #example_filter input {
            border: 1px solid #ddd;
            border-radius: 10px;
            padding: 4px 8px;
            color: #6c757d;
        }

            .employee-details #example_filter input:focus {
                border: 1px solid #7481b5;
                border-radius: 10px;
                outline: none;
            }

    .employee-details #example thead {
        background: #7481b5;
        color: #fff;
    }

        .employee-details #example thead th {
            border-bottom: 1px solid #7481b5;
        }

    .employee-details tbody tr td {
        color: #000 !important;
        padding-left: 20px;
        font-family: 'Poppins', sans-serif;
    }

    .employee-details table.dataTable.no-footer {
        border-bottom: 1px solid rgba(0,0,0,0.2) !important;
    }

    .employee-details #example_info, .employee-details #example_paginate {
        padding: 8px 20px;
    }

    .employee-details #example_info {
        margin-top: 10px;
    }

    .employee-details #example_paginate .paginate_button.current {
        color: #fff !important;
        background: #7481b5;
        border-radius: 35px;
        height: 30px;
        width: 30px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }

    .employee-details .btn-edit-user {
        background: #7481b5 !important;
        border: 1px solid #7481b5 !important;
        box-shadow: 0px 2px 6px 0px #7481b5 !important;
        color: #fff !important;
    }

    .employee-details .btn-edit-user {
        position: relative;
        overflow: hidden;
    }

        .employee-details .btn-edit-user::after {
            display: none;
            content: "";
            position: absolute;
            border-radius: 50%;
            background-color: rgba(226,226,226,0.3);
            width: 100px;
            height: 100px;
            margin-top: -50px;
            margin-left: -50px;
            /* Center the ripple */
            top: 50%;
            left: 50%;
            animation: ripple 1s;
            opacity: 0;
        }

        .employee-details .btn-edit-user:focus:not(:active)::after {
            display: block;
        }

@keyframes ripple {
    from {
        opacity: 1;
        transform: scale(0);
    }

    to {
        opacity: 0;
        transform: scale(10);
    }
}
